cURL
curl --request POST \
--url https://api.contiguity.com/send/whatsapp/reactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "+1234567890",
"action": "add"
}
'import requests
url = "https://api.contiguity.com/send/whatsapp/reactions"
payload = {
"to": "+1234567890",
"action": "add"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: '+1234567890', action: 'add'})
};
fetch('https://api.contiguity.com/send/whatsapp/reactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "req_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "response",
"data": {
"status": "added",
"message": "Reaction added for +1 555 555 5555"
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Bad Request",
"status": 400
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Unauthorized",
"status": 401
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Forbidden",
"status": 403
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772129047728,
"api_version": "v2026.2.26",
"object": "error",
"data": {
"error": "Internal Server Error",
"status": 500
}
}WhatsApp
Reactions
Add or remove a reaction to a WhatsApp message
POST
/
whatsapp
/
reactions
cURL

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Recipient's WhatsApp number. Must be in E.164 format.
Example:
"+1234567890"
Whether to add or remove a reaction
Available options:
add, remove Example:
"add"
The emoji reaction to send (e.g., '👍', '❤️', or :thumbs_up:, :heart:, :haha: etc.)
Example:
"👍"
Provide either a WhatsApp ID, or complete content of the message to react to.
Example:
"wa_1234567890"
Was this page helpful?
⌘I